Bug 820822 - Can not create jboss application through website and CLI on stage sometimes
Can not create jboss application through website and CLI on stage sometimes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 00:58 EDT by Yujie Zhang
Modified: 2015-05-14 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:22:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-05-11 00:58:46 EDT
Description of problem:

When I try to create jboss applciation, it will redirect to page which says "We're sorry.....".
On CLI ,error message will come out which says "Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.
"

Version-Release number of selected component (if applicable):

stage.openshift.redhat.acom

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Try to create jboss application on website
3."rhc-create-app -a jboss1 -t jbossas-7 -l $account"
  
Actual results:

Can not create jboss application through website and CLI on stage.

Expected results:

JBoss application should be created correctly.

Additional info:
Comment 1 Yujie Zhang 2012-05-11 01:50:33 EDT
For the proxy is working again ,we can create jboss application now, so close this bug.
Comment 2 Yujie Zhang 2012-05-11 05:28:06 EDT
This issue happens randomly,so reopen this bug and lower the priority.
Comment 3 Yujie Zhang 2012-05-11 05:28:58 EDT
This issue happens randomly,so reopen this bug and lower the priority.
Comment 4 Xiaoli Tian 2012-05-11 07:30:13 EDT
Actually, not sometimes fail, but sometimes succeed or give a rough estimate: 50% fail and 50% success
Comment 5 Bill DeCoste 2012-05-11 13:39:14 EDT
Increased timeout for JBoss's HTTP to come up. Was 20s and is now 60s. If HTTP doesnt come up in this time, a 121 is returned.
Comment 6 Meng Bo 2012-05-14 02:11:50 EDT
verified on latest stage env,
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.